#!/usr/bin/python3
# -*- coding: utf-8 -*-

#  Copyright © 2013, 2015  B. Clausius <barcc@gmx.de>
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.


from glob import glob
from distutils.core import setup


setup(
    name='gedit-debugger',
    version='0.1',
    license='GPL-3+',
    author='B. Clausius',
    author_email='barcc@gmx.de',
    description='Debugger plugin for gedit',
    long_description='''Simple Python Debugger for Gedit''',
    url='https://launchpad.net/gedit-debugger',

    data_files=[
                ('lib/gedit/plugins/', ['pydebugger.plugin']),
                ('lib/gedit/plugins/pydebugger/', glob('pydebugger/*.py')),
                ('lib/gedit/plugins/pydebugger/', glob('pydebugger/*.ui')),
                ('lib/gedit/plugins/pydebugger/images/', glob('pydebugger/images/*.png')),
               ],
    )

